<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<launchConfiguration type="org.eclipse.pde.ui.RuntimeWorkbench">
    <booleanAttribute key="append.args" value="true"/>
    <booleanAttribute key="askclear" value="false"/>
    <booleanAttribute key="automaticAdd" value="true"/>
    <booleanAttribute key="automaticValidate" value="true"/>
    <stringAttribute key="bootstrap" value=""/>
    <stringAttribute key="checked" value="[NONE]"/>
    <booleanAttribute key="clearConfig" value="true"/>
    <booleanAttribute key="clearws" value="true"/>
    <booleanAttribute key="clearwslog" value="false"/>
    <stringAttribute key="configLocation" value="${workspace_loc}/.metadata/.plugins/org.eclipse.pde.core/UI_configuration_m2m"/>
    <booleanAttribute key="default" value="false"/>
    <setAttribute key="deselected_workspace_bundles">
        <setEntry value="app4mc.example.transform.m2t"/>
        <setEntry value="app4mc.example.transform.m2t.cust"/>
    </setAttribute>
    <booleanAttribute key="includeOptional" value="true"/>
    <stringAttribute key="location" value="${workspace_loc}/../runtime-UI_configuration"/>
    <booleanAttribute key="org.eclipse.jdt.launching.ATTR_ATTR_USE_ARGFILE" value="false"/>
    <booleanAttribute key="org.eclipse.jdt.launching.ATTR_USE_START_ON_FIRST_THREAD" value="true"/>
    <stringAttribute key="org.eclipse.jdt.launching.JRE_CONTAINER" value="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
    <stringAttribute key="org.eclipse.jdt.launching.PROGRAM_ARGUMENTS" value="-os ${target.os} -ws ${target.ws} -arch ${target.arch} -nl ${target.nl} -consoleLog"/>
    <stringAttribute key="org.eclipse.jdt.launching.SOURCE_PATH_PROVIDER" value="org.eclipse.pde.ui.workbenchClasspathProvider"/>
    <stringAttribute key="org.eclipse.jdt.launching.VM_ARGUMENTS" value="-Dlog4j.configuration=headless_log4j.xml"/>
    <stringAttribute key="pde.version" value="3.3"/>
    <stringAttribute key="product" value="org.eclipse.app4mc.platform.ide.product"/>
    <setAttribute key="selected_target_bundles">
        <setEntry value="com.google.guava@default:default"/>
        <setEntry value="com.google.inject@default:default"/>
        <setEntry value="com.ibm.icu@default:default"/>
        <setEntry value="com.jcraft.jsch@default:default"/>
        <setEntry value="com.sun.el@default:default"/>
        <setEntry value="com.sun.jna.platform@default:default"/>
        <setEntry value="com.sun.jna@default:default"/>
        <setEntry value="io.github.classgraph@default:default"/>
        <setEntry value="javax.annotation@default:default"/>
        <setEntry value="javax.el@default:default"/>
        <setEntry value="javax.inject@default:default"/>
        <setEntry value="javax.servlet.jsp@default:default"/>
        <setEntry value="javax.servlet@default:default"/>
        <setEntry value="javax.xml@default:default"/>
        <setEntry value="org.antlr.runtime@default:default"/>
        <setEntry value="org.apache.ant@default:default"/>
        <setEntry value="org.apache.batik.constants@default:default"/>
        <setEntry value="org.apache.batik.css@default:default"/>
        <setEntry value="org.apache.batik.i18n@default:default"/>
        <setEntry value="org.apache.batik.util@default:default"/>
        <setEntry value="org.apache.commons.cli@default:default"/>
        <setEntry value="org.apache.commons.codec@default:default"/>
        <setEntry value="org.apache.commons.io@default:default"/>
        <setEntry value="org.apache.commons.jxpath@default:default"/>
        <setEntry value="org.apache.commons.lang@default:default"/>
        <setEntry value="org.apache.commons.logging@default:default"/>
        <setEntry value="org.apache.commons.math3@default:default"/>
        <setEntry value="org.apache.felix.gogo.command@default:default"/>
        <setEntry value="org.apache.felix.gogo.runtime@default:default"/>
        <setEntry value="org.apache.felix.gogo.shell@default:default"/>
        <setEntry value="org.apache.felix.scr@1:true"/>
        <setEntry value="org.apache.httpcomponents.httpclient.win@default:default"/>
        <setEntry value="org.apache.httpcomponents.httpclient@default:default"/>
        <setEntry value="org.apache.httpcomponents.httpcore@default:default"/>
        <setEntry value="org.apache.jasper.glassfish@default:default"/>
        <setEntry value="org.apache.log4j@default:default"/>
        <setEntry value="org.apache.lucene.analyzers-common@default:default"/>
        <setEntry value="org.apache.lucene.analyzers-smartcn@default:default"/>
        <setEntry value="org.apache.lucene.core@default:default"/>
        <setEntry value="org.apache.sshd.osgi@default:default"/>
        <setEntry value="org.apache.xmlgraphics@default:default"/>
        <setEntry value="org.apiguardian@default:default"/>
        <setEntry value="org.eclipse.ant.core@default:default"/>
        <setEntry value="org.eclipse.ant.launching@default:default"/>
        <setEntry value="org.eclipse.ant.ui@default:default"/>
        <setEntry value="org.eclipse.app4mc.amalthea.examples.installer@default:default"/>
        <setEntry value="org.eclipse.app4mc.amalthea.model.help@default:default"/>
        <setEntry value="org.eclipse.app4mc.amalthea.model@default:default"/>
        <setEntry value="org.eclipse.app4mc.help@default:default"/>
        <setEntry value="org.eclipse.app4mc.waters.examples.installer@default:default"/>
        <setEntry value="org.eclipse.compare.core@default:default"/>
        <setEntry value="org.eclipse.compare.win32@default:default"/>
        <setEntry value="org.eclipse.compare@default:default"/>
        <setEntry value="org.eclipse.core.commands@default:default"/>
        <setEntry value="org.eclipse.core.contenttype@default:default"/>
        <setEntry value="org.eclipse.core.databinding.beans@default:default"/>
        <setEntry value="org.eclipse.core.databinding.observable@default:default"/>
        <setEntry value="org.eclipse.core.databinding.property@default:default"/>
        <setEntry value="org.eclipse.core.databinding@default:default"/>
        <setEntry value="org.eclipse.core.expressions@default:default"/>
        <setEntry value="org.eclipse.core.externaltools@default:default"/>
        <setEntry value="org.eclipse.core.filebuffers@default:default"/>
        <setEntry value="org.eclipse.core.filesystem.win32.x86_64@default:false"/>
        <setEntry value="org.eclipse.core.filesystem@default:default"/>
        <setEntry value="org.eclipse.core.jobs@default:default"/>
        <setEntry value="org.eclipse.core.net.win32.x86_64@default:false"/>
        <setEntry value="org.eclipse.core.net@default:default"/>
        <setEntry value="org.eclipse.core.resources.win32.x86_64@default:false"/>
        <setEntry value="org.eclipse.core.resources@default:default"/>
        <setEntry value="org.eclipse.core.runtime@default:true"/>
        <setEntry value="org.eclipse.core.variables@default:default"/>
        <setEntry value="org.eclipse.debug.core@default:default"/>
        <setEntry value="org.eclipse.debug.ui@default:default"/>
        <setEntry value="org.eclipse.draw2d@default:default"/>
        <setEntry value="org.eclipse.e4.core.commands@default:default"/>
        <setEntry value="org.eclipse.e4.core.contexts@default:default"/>
        <setEntry value="org.eclipse.e4.core.di.annotations@default:default"/>
        <setEntry value="org.eclipse.e4.core.di.extensions.supplier@default:default"/>
        <setEntry value="org.eclipse.e4.core.di.extensions@default:default"/>
        <setEntry value="org.eclipse.e4.core.di@default:default"/>
        <setEntry value="org.eclipse.e4.core.services@default:default"/>
        <setEntry value="org.eclipse.e4.emf.xpath@default:default"/>
        <setEntry value="org.eclipse.e4.ui.bindings@default:default"/>
        <setEntry value="org.eclipse.e4.ui.css.core@default:default"/>
        <setEntry value="org.eclipse.e4.ui.css.swt.theme@default:default"/>
        <setEntry value="org.eclipse.e4.ui.css.swt@default:default"/>
        <setEntry value="org.eclipse.e4.ui.di@default:default"/>
        <setEntry value="org.eclipse.e4.ui.dialogs@default:default"/>
        <setEntry value="org.eclipse.e4.ui.model.workbench@default:default"/>
        <setEntry value="org.eclipse.e4.ui.services@default:default"/>
        <setEntry value="org.eclipse.e4.ui.widgets@default:default"/>
        <setEntry value="org.eclipse.e4.ui.workbench.addons.swt@default:default"/>
        <setEntry value="org.eclipse.e4.ui.workbench.renderers.swt@default:default"/>
        <setEntry value="org.eclipse.e4.ui.workbench.swt@default:default"/>
        <setEntry value="org.eclipse.e4.ui.workbench3@default:default"/>
        <setEntry value="org.eclipse.e4.ui.workbench@default:default"/>
        <setEntry value="org.eclipse.ecf.filetransfer@default:default"/>
        <setEntry value="org.eclipse.ecf.identity@default:default"/>
        <setEntry value="org.eclipse.ecf.provider.filetransfer.httpclient45.win32@default:default"/>
        <setEntry value="org.eclipse.ecf.provider.filetransfer.httpclient45@default:default"/>
        <setEntry value="org.eclipse.ecf.provider.filetransfer.ssl@default:false"/>
        <setEntry value="org.eclipse.ecf.provider.filetransfer@default:default"/>
        <setEntry value="org.eclipse.ecf.ssl@default:false"/>
        <setEntry value="org.eclipse.ecf@default:default"/>
        <setEntry value="org.eclipse.emf.ant@default:default"/>
        <setEntry value="org.eclipse.emf.codegen.ecore.ui@default:default"/>
        <setEntry value="org.eclipse.emf.codegen.ecore@default:default"/>
        <setEntry value="org.eclipse.emf.codegen.ui@default:default"/>
        <setEntry value="org.eclipse.emf.codegen@default:default"/>
        <setEntry value="org.eclipse.emf.common.ui@default:default"/>
        <setEntry value="org.eclipse.emf.common@default:default"/>
        <setEntry value="org.eclipse.emf.converter@default:default"/>
        <setEntry value="org.eclipse.emf.databinding.edit@default:default"/>
        <setEntry value="org.eclipse.emf.databinding@default:default"/>
        <setEntry value="org.eclipse.emf.ecore.change.edit@default:default"/>
        <setEntry value="org.eclipse.emf.ecore.change@default:default"/>
        <setEntry value="org.eclipse.emf.ecore.edit@default:default"/>
        <setEntry value="org.eclipse.emf.ecore.editor@default:default"/>
        <setEntry value="org.eclipse.emf.ecore.xcore.lib@default:default"/>
        <setEntry value="org.eclipse.emf.ecore.xmi@default:default"/>
        <setEntry value="org.eclipse.emf.ecore@default:default"/>
        <setEntry value="org.eclipse.emf.edit.ui@default:default"/>
        <setEntry value="org.eclipse.emf.edit@default:default"/>
        <setEntry value="org.eclipse.emf.exporter@default:default"/>
        <setEntry value="org.eclipse.emf.importer.ecore@default:default"/>
        <setEntry value="org.eclipse.emf.importer.java@default:default"/>
        <setEntry value="org.eclipse.emf.importer.rose@default:default"/>
        <setEntry value="org.eclipse.emf.importer@default:default"/>
        <setEntry value="org.eclipse.emf.mapping.ecore.editor@default:default"/>
        <setEntry value="org.eclipse.emf.mapping.ecore2ecore.editor@default:default"/>
        <setEntry value="org.eclipse.emf.mapping.ecore2ecore@default:default"/>
        <setEntry value="org.eclipse.emf.mapping.ecore2xml.ui@default:default"/>
        <setEntry value="org.eclipse.emf.mapping.ecore2xml@default:default"/>
        <setEntry value="org.eclipse.emf.mapping.ecore@default:default"/>
        <setEntry value="org.eclipse.emf.mapping.ui@default:default"/>
        <setEntry value="org.eclipse.emf.mapping@default:default"/>
        <setEntry value="org.eclipse.emf.mwe.core@default:default"/>
        <setEntry value="org.eclipse.emf.mwe.ui@default:default"/>
        <setEntry value="org.eclipse.emf.mwe.utils@default:default"/>
        <setEntry value="org.eclipse.emf.mwe2.language.ide@default:default"/>
        <setEntry value="org.eclipse.emf.mwe2.language.ui@default:default"/>
        <setEntry value="org.eclipse.emf.mwe2.language@default:default"/>
        <setEntry value="org.eclipse.emf.mwe2.launch.ui@default:default"/>
        <setEntry value="org.eclipse.emf.mwe2.launch@default:default"/>
        <setEntry value="org.eclipse.emf.mwe2.lib@default:default"/>
        <setEntry value="org.eclipse.emf.mwe2.runtime@default:default"/>
        <setEntry value="org.eclipse.emf@default:default"/>
        <setEntry value="org.eclipse.equinox.app@default:default"/>
        <setEntry value="org.eclipse.equinox.bidi@default:default"/>
        <setEntry value="org.eclipse.equinox.cm@default:true"/>
        <setEntry value="org.eclipse.equinox.common@2:true"/>
        <setEntry value="org.eclipse.equinox.concurrent@default:default"/>
        <setEntry value="org.eclipse.equinox.console.jaas.fragment@default:false"/>
        <setEntry value="org.eclipse.equinox.console.ssh@default:default"/>
        <setEntry value="org.eclipse.equinox.console@default:default"/>
        <setEntry value="org.eclipse.equinox.coordinator@default:default"/>
        <setEntry value="org.eclipse.equinox.device@default:default"/>
        <setEntry value="org.eclipse.equinox.ds@1:true"/>
        <setEntry value="org.eclipse.equinox.event@default:default"/>
        <setEntry value="org.eclipse.equinox.frameworkadmin.equinox@default:default"/>
        <setEntry value="org.eclipse.equinox.frameworkadmin@default:default"/>
        <setEntry value="org.eclipse.equinox.http.jetty@default:default"/>
        <setEntry value="org.eclipse.equinox.http.registry@default:default"/>
        <setEntry value="org.eclipse.equinox.http.servlet@default:default"/>
        <setEntry value="org.eclipse.equinox.http.servletbridge@default:default"/>
        <setEntry value="org.eclipse.equinox.jsp.jasper.registry@default:default"/>
        <setEntry value="org.eclipse.equinox.jsp.jasper@default:default"/>
        <setEntry value="org.eclipse.equinox.launcher.win32.win32.x86_64@default:false"/>
        <setEntry value="org.eclipse.equinox.launcher@default:default"/>
        <setEntry value="org.eclipse.equinox.log.stream@default:default"/>
        <setEntry value="org.eclipse.equinox.metatype@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.artifact.repository@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.console@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.core@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.director.app@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.director@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.directorywatcher@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.engine@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.extensionlocation@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.garbagecollector@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.jarprocessor@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.metadata.repository@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.metadata@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.operations@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.publisher.eclipse@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.publisher@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.reconciler.dropins@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.repository.tools@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.repository@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.touchpoint.eclipse@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.touchpoint.natives@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.transport.ecf@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.ui.importexport@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.ui.sdk.scheduler@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.ui.sdk@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.ui@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.updatechecker@default:default"/>
        <setEntry value="org.eclipse.equinox.p2.updatesite@default:default"/>
        <setEntry value="org.eclipse.equinox.preferences@default:default"/>
        <setEntry value="org.eclipse.equinox.region@default:false"/>
        <setEntry value="org.eclipse.equinox.registry@default:default"/>
        <setEntry value="org.eclipse.equinox.security.ui@default:default"/>
        <setEntry value="org.eclipse.equinox.security.win32.x86_64@default:false"/>
        <setEntry value="org.eclipse.equinox.security@default:default"/>
        <setEntry value="org.eclipse.equinox.servletbridge@default:default"/>
        <setEntry value="org.eclipse.equinox.simpleconfigurator.manipulator@default:default"/>
        <setEntry value="org.eclipse.equinox.simpleconfigurator@1:true"/>
        <setEntry value="org.eclipse.equinox.supplement@default:default"/>
        <setEntry value="org.eclipse.equinox.transforms.hook@default:false"/>
        <setEntry value="org.eclipse.equinox.transforms.xslt@default:default"/>
        <setEntry value="org.eclipse.equinox.useradmin@default:default"/>
        <setEntry value="org.eclipse.equinox.weaving.caching.j9@default:default"/>
        <setEntry value="org.eclipse.equinox.weaving.caching@default:default"/>
        <setEntry value="org.eclipse.equinox.weaving.hook@default:false"/>
        <setEntry value="org.eclipse.help.base@default:default"/>
        <setEntry value="org.eclipse.help.ui@default:default"/>
        <setEntry value="org.eclipse.help.webapp@default:default"/>
        <setEntry value="org.eclipse.help@default:default"/>
        <setEntry value="org.eclipse.jdt.apt.core@default:default"/>
        <setEntry value="org.eclipse.jdt.apt.pluggable.core@default:default"/>
        <setEntry value="org.eclipse.jdt.apt.ui@default:default"/>
        <setEntry value="org.eclipse.jdt.compiler.apt@default:false"/>
        <setEntry value="org.eclipse.jdt.compiler.tool@default:false"/>
        <setEntry value="org.eclipse.jdt.core.manipulation@default:default"/>
        <setEntry value="org.eclipse.jdt.core@default:default"/>
        <setEntry value="org.eclipse.jdt.debug.ui@default:default"/>
        <setEntry value="org.eclipse.jdt.debug@default:default"/>
        <setEntry value="org.eclipse.jdt.doc.user@default:default"/>
        <setEntry value="org.eclipse.jdt.junit.core@default:default"/>
        <setEntry value="org.eclipse.jdt.junit.runtime@default:default"/>
        <setEntry value="org.eclipse.jdt.junit4.runtime@default:default"/>
        <setEntry value="org.eclipse.jdt.junit5.runtime@default:default"/>
        <setEntry value="org.eclipse.jdt.junit@default:default"/>
        <setEntry value="org.eclipse.jdt.launching@default:default"/>
        <setEntry value="org.eclipse.jdt.ui@default:default"/>
        <setEntry value="org.eclipse.jdt@default:default"/>
        <setEntry value="org.eclipse.jetty.continuation@default:default"/>
        <setEntry value="org.eclipse.jetty.http@default:default"/>
        <setEntry value="org.eclipse.jetty.io@default:default"/>
        <setEntry value="org.eclipse.jetty.security@default:default"/>
        <setEntry value="org.eclipse.jetty.server@default:default"/>
        <setEntry value="org.eclipse.jetty.servlet@default:default"/>
        <setEntry value="org.eclipse.jetty.util@default:default"/>
        <setEntry value="org.eclipse.jface.databinding@default:default"/>
        <setEntry value="org.eclipse.jface.text@default:default"/>
        <setEntry value="org.eclipse.jface@default:default"/>
        <setEntry value="org.eclipse.jsch.core@default:default"/>
        <setEntry value="org.eclipse.jsch.ui@default:default"/>
        <setEntry value="org.eclipse.ltk.core.refactoring@default:default"/>
        <setEntry value="org.eclipse.ltk.ui.refactoring@default:default"/>
        <setEntry value="org.eclipse.osgi.compatibility.state@default:false"/>
        <setEntry value="org.eclipse.osgi.services@default:default"/>
        <setEntry value="org.eclipse.osgi.util@default:default"/>
        <setEntry value="org.eclipse.osgi@-1:true"/>
        <setEntry value="org.eclipse.pde.api.tools.annotations@default:default"/>
        <setEntry value="org.eclipse.pde.api.tools.ui@default:default"/>
        <setEntry value="org.eclipse.pde.api.tools@default:default"/>
        <setEntry value="org.eclipse.pde.build@default:default"/>
        <setEntry value="org.eclipse.pde.core@default:default"/>
        <setEntry value="org.eclipse.pde.doc.user@default:default"/>
        <setEntry value="org.eclipse.pde.ds.annotations@default:default"/>
        <setEntry value="org.eclipse.pde.ds.core@default:default"/>
        <setEntry value="org.eclipse.pde.ds.lib@default:default"/>
        <setEntry value="org.eclipse.pde.ds.ui@default:default"/>
        <setEntry value="org.eclipse.pde.ds1_2.lib@default:default"/>
        <setEntry value="org.eclipse.pde.genericeditor.extension@default:default"/>
        <setEntry value="org.eclipse.pde.junit.runtime@default:default"/>
        <setEntry value="org.eclipse.pde.launching@default:default"/>
        <setEntry value="org.eclipse.pde.runtime@default:default"/>
        <setEntry value="org.eclipse.pde.ua.core@default:default"/>
        <setEntry value="org.eclipse.pde.ua.ui@default:default"/>
        <setEntry value="org.eclipse.pde.ui.templates@default:default"/>
        <setEntry value="org.eclipse.pde.ui@default:default"/>
        <setEntry value="org.eclipse.pde@default:default"/>
        <setEntry value="org.eclipse.platform.doc.user@default:default"/>
        <setEntry value="org.eclipse.platform@default:default"/>
        <setEntry value="org.eclipse.rcp@default:default"/>
        <setEntry value="org.eclipse.search@default:default"/>
        <setEntry value="org.eclipse.swt.win32.win32.x86_64@default:false"/>
        <setEntry value="org.eclipse.swt@default:default"/>
        <setEntry value="org.eclipse.team.core@default:default"/>
        <setEntry value="org.eclipse.team.genericeditor.diff.extension@default:default"/>
        <setEntry value="org.eclipse.team.ui@default:default"/>
        <setEntry value="org.eclipse.text.quicksearch@default:default"/>
        <setEntry value="org.eclipse.text@default:default"/>
        <setEntry value="org.eclipse.tools.layout.spy@default:default"/>
        <setEntry value="org.eclipse.ui.browser@default:default"/>
        <setEntry value="org.eclipse.ui.cheatsheets@default:default"/>
        <setEntry value="org.eclipse.ui.console@default:default"/>
        <setEntry value="org.eclipse.ui.editors@default:default"/>
        <setEntry value="org.eclipse.ui.externaltools@default:default"/>
        <setEntry value="org.eclipse.ui.forms@default:default"/>
        <setEntry value="org.eclipse.ui.genericeditor@default:default"/>
        <setEntry value="org.eclipse.ui.ide.application@default:default"/>
        <setEntry value="org.eclipse.ui.ide@default:default"/>
        <setEntry value="org.eclipse.ui.intro.quicklinks@default:default"/>
        <setEntry value="org.eclipse.ui.intro.universal@default:default"/>
        <setEntry value="org.eclipse.ui.intro@default:default"/>
        <setEntry value="org.eclipse.ui.monitoring@default:default"/>
        <setEntry value="org.eclipse.ui.navigator.resources@default:default"/>
        <setEntry value="org.eclipse.ui.navigator@default:default"/>
        <setEntry value="org.eclipse.ui.net@default:default"/>
        <setEntry value="org.eclipse.ui.themes@default:default"/>
        <setEntry value="org.eclipse.ui.trace@default:default"/>
        <setEntry value="org.eclipse.ui.views.log@default:default"/>
        <setEntry value="org.eclipse.ui.views.properties.tabbed@default:default"/>
        <setEntry value="org.eclipse.ui.views@default:default"/>
        <setEntry value="org.eclipse.ui.win32@default:false"/>
        <setEntry value="org.eclipse.ui.workbench.texteditor@default:default"/>
        <setEntry value="org.eclipse.ui.workbench@default:default"/>
        <setEntry value="org.eclipse.ui@default:default"/>
        <setEntry value="org.eclipse.uml2.codegen.ecore@default:default"/>
        <setEntry value="org.eclipse.uml2.common@default:default"/>
        <setEntry value="org.eclipse.uml2.types@default:default"/>
        <setEntry value="org.eclipse.uml2.uml.ecore.importer@default:default"/>
        <setEntry value="org.eclipse.uml2.uml.profile.standard@default:default"/>
        <setEntry value="org.eclipse.uml2.uml.resources@default:default"/>
        <setEntry value="org.eclipse.uml2.uml@default:default"/>
        <setEntry value="org.eclipse.update.configurator@default:default"/>
        <setEntry value="org.eclipse.urischeme@default:default"/>
        <setEntry value="org.eclipse.xpand.activities@default:default"/>
        <setEntry value="org.eclipse.xpand.ui@default:default"/>
        <setEntry value="org.eclipse.xpand@default:default"/>
        <setEntry value="org.eclipse.xsd@default:default"/>
        <setEntry value="org.eclipse.xtend.check.ui@default:default"/>
        <setEntry value="org.eclipse.xtend.core@default:default"/>
        <setEntry value="org.eclipse.xtend.doc@default:default"/>
        <setEntry value="org.eclipse.xtend.examples@default:default"/>
        <setEntry value="org.eclipse.xtend.ide.common@default:default"/>
        <setEntry value="org.eclipse.xtend.ide@default:default"/>
        <setEntry value="org.eclipse.xtend.lib.macro@default:default"/>
        <setEntry value="org.eclipse.xtend.lib@default:default"/>
        <setEntry value="org.eclipse.xtend.m2e@default:default"/>
        <setEntry value="org.eclipse.xtend.profiler@default:default"/>
        <setEntry value="org.eclipse.xtend.shared.ui@default:default"/>
        <setEntry value="org.eclipse.xtend.standalone@default:default"/>
        <setEntry value="org.eclipse.xtend.typesystem.emf.ui@default:default"/>
        <setEntry value="org.eclipse.xtend.typesystem.emf@default:default"/>
        <setEntry value="org.eclipse.xtend.ui@default:default"/>
        <setEntry value="org.eclipse.xtend.util.stdlib@default:default"/>
        <setEntry value="org.eclipse.xtend@default:default"/>
        <setEntry value="org.eclipse.xtext.activities@default:default"/>
        <setEntry value="org.eclipse.xtext.builder.standalone@default:default"/>
        <setEntry value="org.eclipse.xtext.builder@default:default"/>
        <setEntry value="org.eclipse.xtext.common.types.edit@default:default"/>
        <setEntry value="org.eclipse.xtext.common.types.shared.jdt38@default:false"/>
        <setEntry value="org.eclipse.xtext.common.types.shared@default:default"/>
        <setEntry value="org.eclipse.xtext.common.types.ui@default:default"/>
        <setEntry value="org.eclipse.xtext.common.types@default:default"/>
        <setEntry value="org.eclipse.xtext.doc@default:default"/>
        <setEntry value="org.eclipse.xtext.ecore@default:default"/>
        <setEntry value="org.eclipse.xtext.generator@default:default"/>
        <setEntry value="org.eclipse.xtext.ide@default:default"/>
        <setEntry value="org.eclipse.xtext.java@default:default"/>
        <setEntry value="org.eclipse.xtext.junit4@default:default"/>
        <setEntry value="org.eclipse.xtext.logging@default:false"/>
        <setEntry value="org.eclipse.xtext.m2e@default:default"/>
        <setEntry value="org.eclipse.xtext.purexbase.ide@default:default"/>
        <setEntry value="org.eclipse.xtext.purexbase.ui@default:default"/>
        <setEntry value="org.eclipse.xtext.purexbase@default:default"/>
        <setEntry value="org.eclipse.xtext.smap@default:default"/>
        <setEntry value="org.eclipse.xtext.testing@default:default"/>
        <setEntry value="org.eclipse.xtext.ui.codemining@default:default"/>
        <setEntry value="org.eclipse.xtext.ui.codetemplates.ide@default:default"/>
        <setEntry value="org.eclipse.xtext.ui.codetemplates.ui@default:default"/>
        <setEntry value="org.eclipse.xtext.ui.codetemplates@default:default"/>
        <setEntry value="org.eclipse.xtext.ui.ecore@default:default"/>
        <setEntry value="org.eclipse.xtext.ui.shared@default:default"/>
        <setEntry value="org.eclipse.xtext.ui.testing@default:default"/>
        <setEntry value="org.eclipse.xtext.ui@default:default"/>
        <setEntry value="org.eclipse.xtext.util@default:default"/>
        <setEntry value="org.eclipse.xtext.xbase.ide@default:default"/>
        <setEntry value="org.eclipse.xtext.xbase.junit@default:default"/>
        <setEntry value="org.eclipse.xtext.xbase.lib@default:default"/>
        <setEntry value="org.eclipse.xtext.xbase.testing@default:default"/>
        <setEntry value="org.eclipse.xtext.xbase.ui.testing@default:default"/>
        <setEntry value="org.eclipse.xtext.xbase.ui@default:default"/>
        <setEntry value="org.eclipse.xtext.xbase@default:default"/>
        <setEntry value="org.eclipse.xtext.xtext.generator@default:default"/>
        <setEntry value="org.eclipse.xtext.xtext.ide@default:default"/>
        <setEntry value="org.eclipse.xtext.xtext.ui.examples@default:default"/>
        <setEntry value="org.eclipse.xtext.xtext.ui.graph@default:default"/>
        <setEntry value="org.eclipse.xtext.xtext.ui@default:default"/>
        <setEntry value="org.eclipse.xtext.xtext.wizard@default:default"/>
        <setEntry value="org.eclipse.xtext@default:default"/>
        <setEntry value="org.hamcrest.core@default:default"/>
        <setEntry value="org.junit.jupiter.api@default:default"/>
        <setEntry value="org.junit.jupiter.engine@default:default"/>
        <setEntry value="org.junit.jupiter.migrationsupport@default:default"/>
        <setEntry value="org.junit.jupiter.params@default:default"/>
        <setEntry value="org.junit.platform.commons@default:default"/>
        <setEntry value="org.junit.platform.engine@default:default"/>
        <setEntry value="org.junit.platform.launcher@default:default"/>
        <setEntry value="org.junit.platform.runner@default:default"/>
        <setEntry value="org.junit.platform.suite.api@default:default"/>
        <setEntry value="org.junit.vintage.engine@default:default"/>
        <setEntry value="org.junit@default:default"/>
        <setEntry value="org.objectweb.asm.tree@default:default"/>
        <setEntry value="org.objectweb.asm@default:default"/>
        <setEntry value="org.opentest4j@default:default"/>
        <setEntry value="org.sat4j.core@default:default"/>
        <setEntry value="org.sat4j.pb@default:default"/>
        <setEntry value="org.slf4j.api*1.7.2.v20121108-1250@default:default"/>
        <setEntry value="org.slf4j.api*1.7.30.v20200204-2150@default:default"/>
        <setEntry value="org.tukaani.xz@default:default"/>
        <setEntry value="org.w3c.css.sac@default:default"/>
        <setEntry value="org.w3c.dom.events@default:default"/>
        <setEntry value="org.w3c.dom.smil@default:default"/>
        <setEntry value="org.w3c.dom.svg@default:default"/>
    </setAttribute>
    <setAttribute key="selected_workspace_bundles">
        <setEntry value="app4mc.example.transform.m2m@default:default"/>
        <setEntry value="app4mc.example.transform.samplemodel@default:default"/>
        <setEntry value="org.eclipse.app4mc.amlt2systemc.m2t.cust@default:default"/>
        <setEntry value="org.eclipse.app4mc.amlt2systemc.m2t@default:default"/>
        <setEntry value="org.eclipse.app4mc.slg.commons.m2t@default:default"/>
        <setEntry value="org.eclipse.app4mc.slg.config.edit@default:default"/>
        <setEntry value="org.eclipse.app4mc.slg.config.editor@default:default"/>
        <setEntry value="org.eclipse.app4mc.slg.config@default:default"/>
        <setEntry value="org.eclipse.app4mc.slg.linux@default:default"/>
        <setEntry value="org.eclipse.app4mc.slg.ros2@default:default"/>
        <setEntry value="org.eclipse.app4mc.transformation.examples.installer@default:default"/>
        <setEntry value="org.eclipse.app4mc.transformation.starter@default:default"/>
        <setEntry value="org.eclipse.app4mc.transformation.ui@default:default"/>
        <setEntry value="org.eclipse.app4mc.transformation@5:default"/>
    </setAttribute>
    <booleanAttribute key="show_selected_only" value="false"/>
    <stringAttribute key="templateConfig" value="${target_home}\configuration\config.ini"/>
    <booleanAttribute key="tracing" value="false"/>
    <booleanAttribute key="useCustomFeatures" value="false"/>
    <booleanAttribute key="useDefaultConfig" value="true"/>
    <booleanAttribute key="useDefaultConfigArea" value="true"/>
    <booleanAttribute key="useProduct" value="true"/>
</launchConfiguration>
